DefaultIdGeneratorFactory (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class DefaultIdGeneratorFactory

    java.lang.Object
      org.neo4j.kernel.DefaultIdGeneratorFactory

All Implemented Interfaces:
  IdGeneratorFactory

    public class DefaultIdGeneratorFactory

extends Object
implements IdGeneratorFactory

TODO

Constructor Summary
`DefaultIdGeneratorFactory()`

Method Summary
`void` | `create(org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction fs, String fileName)`
`org.neo4j.kernel.impl.nioneo.store.IdGenerator` | `get(IdType idType)`
`org.neo4j.kernel.impl.nioneo.store.IdGenerator` | `open(org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction fs, String fileName, int grabSize, IdType idType, long highestIdInUse, boolean startup)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultIdGeneratorFactory

    public DefaultIdGeneratorFactory()

Method Detail

### open

    public org.neo4j.kernel.impl.nioneo.store.IdGenerator open(org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction fs,
                                                               String fileName,
                                                               int grabSize,
                                                               IdType idType,
                                                               long highestIdInUse,
                                                               boolean startup)

  Specified by:
    `open` in interface `IdGeneratorFactory`

### get

    public org.neo4j.kernel.impl.nioneo.store.IdGenerator get(IdType idType)

  Specified by:
    `get` in interface `IdGeneratorFactory`

### create

    public void create(org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction fs,
                       String fileName)

  Specified by:
    `create` in interface `IdGeneratorFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.